package com.example.nto.service.impl;

import com.example.nto.entity.Code; //надо удалить

import com.example.nto.entity.Employee;
import com.example.nto.repository.CodeRepository;
import com.example.nto.repository.EmployeeRepository;
import com.example.nto.service.EmployeeService;
import org.springframework.stereotype.Service;

import java.util.Optional;


@Service
public class EmployeeServiceImpl implements EmployeeService {
    private final EmployeeRepository employeeRepository;
    private final CodeRepository codeRepository;




    public EmployeeServiceImpl(EmployeeRepository employeeRepository, CodeRepository codeRepository) {
        this.employeeRepository = employeeRepository;
        this.codeRepository = codeRepository;
    }

    @Override
    public Optional<Employee> findByLogin(String login) {

        return employeeRepository.findAll()
                .stream()
                .filter(employee -> employee.getLogin().equals(login))
                .findFirst();
    }

    @Override
    public boolean validateCode(String login, long code) {

        return codeRepository.findAll()
                .stream()
                .anyMatch(c -> c.getValue() == code);
    }
}
// made by truettwo